* SUBROUTINE EIUD37             ALL SYSTEMS                 99/12/01
C PORTABILITY : ALL SYSTEMS
C 99/12/01 GA : ORIGINAL VERSION
*
* PURPOSE :
*  INITIAL VALUES OF THE VARIABLES FOR NONLINEAR EQUATIONS.
*  UNCONSTRAINED AND DENSE VERSION.
*
* PARAMETERS :
*  IO  N  NUMBER OF VARIABLES.
*  IO  NA  NUMBER OF EQUATIONS.
*  IO  NAL NUMBER OF LINEAR EQUATIONS.
*  RO  X(N)  VECTOR OF VARIABLES.
*  RO  FMIN  LOWER BOUND FOR VALUE OF THE OBJECTIVE FUNCTION.
*  RO  XMAX  MAXIMUM STEPSIZE.
*  IO  NEXT  NUMBER OF THE TEST PROBLEM.
*  IO  IERR  ERROR INDICATOR.
*
      SUBROUTINE EIUD37(N,NA,NAL,X,FMIN,XMAX,NEXT,IEXT,IERR)
      INTEGER N,NA,NAL,NEXT,IEXT,IERR
      REAL*8 X(N),FMIN,XMAX
      INTEGER IP16(25),IP17(7)
      DATA IP16 /1,2,3,4,5,6,7,8,9,12,13,14,19,20,21,22,23,24,
     & 26,27,28,29,30,31,32/
      DATA IP17 /15,16,19,20,21,27,29/
      NA=N
      NAL=0
      FMIN=0.0D 0
      XMAX=1.0D 3
      IEXT=0
      IERR=0
      IF (NEXT.LE.32) THEN
      CALL EIUD18(N,NA,X,FMIN,XMAX,NEXT,IEXT,IERR)
      ELSE IF (NEXT.LE.57) THEN
      CALL EIUD16(N,NA,NAL,X,FMIN,XMAX,IP16(NEXT-32),IEXT,IERR)
      ELSE IF (NEXT.LE.64) THEN
      CALL EIUD17(N,NA,NAL,X,FMIN,XMAX,IP17(NEXT-57),IEXT,IERR)
      ELSE
      IERR=1
      ENDIF
      RETURN
      END
